QGIS Application - Bug report #1032
QGIS crashes when | load a wrong symbol-style file
2008-04-11 03:51 AM - Horst Dister

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Symbology

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11092
Description

When | try to load a symbol-style *.gml file which doesn't correspond whith the relevant layer => QGIS crashes.

| can reproduce the same behaviour when | create a symbol-style file based on a [[PostGIS]] layer.
1. Load a [[PostGIS]] Layer and create a symbol-style *.qml
2. Save this [[PostGIS]] layer as a shape-file.
3. Load the created symbol-style file to the shape-file
4. QGIS also crashes.

History

#1 - 2008-06-23 03:49 PM - Tim Sutton

- Status changed from Open to In Progress

#2 - 2008-08-01 11:39 PM - Tim Sutton

Hi

When applying a gml from one layer to another layer the result will be undefined. That said QGIS should never crash, but rather gracefully warn you of the

situation. | will look at how we can address this.

Tim

#3 - 2008-10-07 03:01 AM - Tim Sutton
- Resolution set to fixed
- Status changed from In Progress to Closed

Fixed with recent changes to SVN trunk.

#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
